module SDL.Compositor.Blender where

import SDL

-- | This class modells a graphics object that supports switching of
-- `BlendMode`.
class Blender b where
  -- | This method overrides the the blend mode settings for an
  -- object.  If the object contains children/multiple objects, their
  -- `BlendMode` property will also be overidden.
  overrideBlendMode :: BlendMode -> b -> b
  -- | This method sets the `BlendMode` of an object.  If the object
  -- has children, their `BlendMode` property will be preserved.
  preserveBlendMode :: BlendMode -> b -> b

